Name:		perl-Mojolicious-Plugin-AccessLog
Version:	0.010001
Release:	1%{?dist}
Summary:	An AccessLog Plugin for Mojolicious
License:	GPL+ or Artistic

URL:		https://metacpan.org/pod/Mojolicious::Plugin::AccessLog
Source0:	https://cpan.metacpan.org/authors/id/G/GR/GRAF/Mojolicious-Plugin-AccessLog-%{version}.tar.gz

Patch1:		perl-Mojolicious-Plugin-AccessLog-0.010001-overridebug.patch

BuildArch:	noarch
BuildRequires:	make
BuildRequires:	perl-interpreter
BuildRequires:	perl-generators
BuildRequires:	perl(strict)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Mojo)

%{?perl_default_filter}

%description
This is a plugin to easily generate an access log.


#------------------------------------------------------------------------------.
%prep
#------------------------------------------------------------------------------.

%setup -q -n Mojolicious-Plugin-AccessLog-%{version}
%patch -P 1 -p 1


#------------------------------------------------------------------------------.
%build
#------------------------------------------------------------------------------.

%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}


#------------------------------------------------------------------------------.
%install
#------------------------------------------------------------------------------.

make pure_install DESTDIR="${RPM_BUILD_ROOT}"

%{_fixperms} "${RPM_BUILD_ROOT}"/*


#------------------------------------------------------------------------------.
%check
#------------------------------------------------------------------------------.

make test


#------------------------------------------------------------------------------.
%files
#------------------------------------------------------------------------------.

%doc Changes
%{perl_vendorlib}/Mojolicious*
%{_mandir}/man3/Mojolicious*


#------------------------------------------------------------------------------.
%changelog
#------------------------------------------------------------------------------.

* Mon Jul 10 2023 Patrick Monnerat <patrick@monnerat.net> 0.010001-1
- Initial packaging.
- Patch "overridebug" fixes a variable overriding bug.
